# GstVideoOrientation

The interface allows unified access to control flipping and autocenter operation of video-sources or operators.

## GstVideoOrientation

Opaque GstVideoOrientation data structure.

## GstVideo.VideoOrientation

Opaque GstVideo.VideoOrientation data structure.

## GstVideo.VideoOrientation

Opaque GstVideo.VideoOrientation data structure.

### Methods

#### gst_video_orientation_get_hcenter

    gboolean
    gst_video_orientation_get_hcenter (GstVideoOrientation * video_orientation,
                                       gint* center)

Get the horizontal centering offset from the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`center` ( [out]) –

return location for the result

Returns –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.prototype.get_hcenter

    function GstVideo.VideoOrientation.prototype.get_hcenter(): {
        // javascript wrapper for 'gst_video_orientation_get_hcenter'
    }

Get the horizontal centering offset from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(Number ) –

TRUE in case the element supports centering

`center` (Number ) –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.get_hcenter

    def GstVideo.VideoOrientation.get_hcenter (self):
        #python wrapper for 'gst_video_orientation_get_hcenter'

Get the horizontal centering offset from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(bool ) –

TRUE in case the element supports centering

`center` (int ) –

TRUE in case the element supports centering

#### gst_video_orientation_get_hflip

    gboolean
    gst_video_orientation_get_hflip (GstVideoOrientation * video_orientation,
                                     gboolean* flip)

Get the horizontal flipping state (%TRUE for flipped) from the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`flip` ( [out]) –

return location for the result

Returns –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.prototype.get_hflip

    function GstVideo.VideoOrientation.prototype.get_hflip(): {
        // javascript wrapper for 'gst_video_orientation_get_hflip'
    }

Get the horizontal flipping state (%TRUE for flipped) from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(Number ) –

TRUE in case the element supports flipping

`flip` (Number ) –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.get_hflip

    def GstVideo.VideoOrientation.get_hflip (self):
        #python wrapper for 'gst_video_orientation_get_hflip'

Get the horizontal flipping state (%TRUE for flipped) from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(bool ) –

TRUE in case the element supports flipping

`flip` (bool ) –

TRUE in case the element supports flipping

#### gst_video_orientation_get_vcenter

    gboolean
    gst_video_orientation_get_vcenter (GstVideoOrientation * video_orientation,
                                       gint* center)

Get the vertical centering offset from the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`center` ( [out]) –

return location for the result

Returns –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.prototype.get_vcenter

    function GstVideo.VideoOrientation.prototype.get_vcenter(): {
        // javascript wrapper for 'gst_video_orientation_get_vcenter'
    }

Get the vertical centering offset from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(Number ) –

TRUE in case the element supports centering

`center` (Number ) –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.get_vcenter

    def GstVideo.VideoOrientation.get_vcenter (self):
        #python wrapper for 'gst_video_orientation_get_vcenter'

Get the vertical centering offset from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(bool ) –

TRUE in case the element supports centering

`center` (int ) –

TRUE in case the element supports centering

#### gst_video_orientation_get_vflip

    gboolean
    gst_video_orientation_get_vflip (GstVideoOrientation * video_orientation,
                                     gboolean* flip)

Get the vertical flipping state (%TRUE for flipped) from the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`flip` ( [out]) –

return location for the result

Returns –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.prototype.get_vflip

    function GstVideo.VideoOrientation.prototype.get_vflip(): {
        // javascript wrapper for 'gst_video_orientation_get_vflip'
    }

Get the vertical flipping state (%TRUE for flipped) from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(Number ) –

TRUE in case the element supports flipping

`flip` (Number ) –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.get_vflip

    def GstVideo.VideoOrientation.get_vflip (self):
        #python wrapper for 'gst_video_orientation_get_vflip'

Get the vertical flipping state (%TRUE for flipped) from the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

Returns a tuple made of:

(bool ) –

TRUE in case the element supports flipping

`flip` (bool ) –

TRUE in case the element supports flipping

#### gst_video_orientation_set_hcenter

    gboolean
    gst_video_orientation_set_hcenter (GstVideoOrientation * video_orientation,
                                       gint center)

Set the horizontal centering offset for the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`center` –

centering offset

Returns –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.prototype.set_hcenter

    function GstVideo.VideoOrientation.prototype.set_hcenter(center: Number): {
        // javascript wrapper for 'gst_video_orientation_set_hcenter'
    }

Set the horizontal centering offset for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`center` (Number) –

centering offset

Returns (Number) –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.set_hcenter

    def GstVideo.VideoOrientation.set_hcenter (self, center):
        #python wrapper for 'gst_video_orientation_set_hcenter'

Set the horizontal centering offset for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`center` (int) –

centering offset

Returns (bool) –

TRUE in case the element supports centering

#### gst_video_orientation_set_hflip

    gboolean
    gst_video_orientation_set_hflip (GstVideoOrientation * video_orientation,
                                     gboolean flip)

Set the horizontal flipping state (%TRUE for flipped) for the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`flip` –

use flipping

Returns –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.prototype.set_hflip

    function GstVideo.VideoOrientation.prototype.set_hflip(flip: Number): {
        // javascript wrapper for 'gst_video_orientation_set_hflip'
    }

Set the horizontal flipping state (%TRUE for flipped) for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`flip` (Number) –

use flipping

Returns (Number) –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.set_hflip

    def GstVideo.VideoOrientation.set_hflip (self, flip):
        #python wrapper for 'gst_video_orientation_set_hflip'

Set the horizontal flipping state (%TRUE for flipped) for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`flip` (bool) –

use flipping

Returns (bool) –

TRUE in case the element supports flipping

#### gst_video_orientation_set_vcenter

    gboolean
    gst_video_orientation_set_vcenter (GstVideoOrientation * video_orientation,
                                       gint center)

Set the vertical centering offset for the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`center` –

centering offset

Returns –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.prototype.set_vcenter

    function GstVideo.VideoOrientation.prototype.set_vcenter(center: Number): {
        // javascript wrapper for 'gst_video_orientation_set_vcenter'
    }

Set the vertical centering offset for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`center` (Number) –

centering offset

Returns (Number) –

TRUE in case the element supports centering

#### GstVideo.VideoOrientation.set_vcenter

    def GstVideo.VideoOrientation.set_vcenter (self, center):
        #python wrapper for 'gst_video_orientation_set_vcenter'

Set the vertical centering offset for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`center` (int) –

centering offset

Returns (bool) –

TRUE in case the element supports centering

#### gst_video_orientation_set_vflip

    gboolean
    gst_video_orientation_set_vflip (GstVideoOrientation * video_orientation,
                                     gboolean flip)

Set the vertical flipping state (%TRUE for flipped) for the given object.

Parameters:

`video_orientation` –

GstVideoOrientation interface of a GstElement

`flip` –

use flipping

Returns –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.prototype.set_vflip

    function GstVideo.VideoOrientation.prototype.set_vflip(flip: Number): {
        // javascript wrapper for 'gst_video_orientation_set_vflip'
    }

Set the vertical flipping state (%TRUE for flipped) for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`flip` (Number) –

use flipping

Returns (Number) –

TRUE in case the element supports flipping

#### GstVideo.VideoOrientation.set_vflip

    def GstVideo.VideoOrientation.set_vflip (self, flip):
        #python wrapper for 'gst_video_orientation_set_vflip'

Set the vertical flipping state (%TRUE for flipped) for the given object.

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –

GstVideo.VideoOrientation interface of a Gst.Element

`flip` (bool) –

use flipping

Returns (bool) –

TRUE in case the element supports flipping

### Functions

#### gst_video_orientation_from_tag

    gboolean
    gst_video_orientation_from_tag (GstTagList * taglist,
                                    GstVideoOrientationMethod * method)

Parses the "image-orientation" tag and transforms it into the GstVideoOrientationMethod enum.

Parameters:

`taglist` –

A GstTagList

`method` ( [out]) –

The location where to return the orientation.

Returns –

TRUE if there was a valid "image-orientation" tag in the taglist.

Since : 1.20

#### GstVideo.prototype.video_orientation_from_tag

    function GstVideo.prototype.video_orientation_from_tag(taglist: Gst.TagList): {
        // javascript wrapper for 'gst_video_orientation_from_tag'
    }

Parses the "image-orientation" tag and transforms it into the GstVideo.VideoOrientationMethod enum.

Parameters:

`taglist` (Gst.TagList) –

A Gst.TagList

Returns a tuple made of:

(Number ) –

TRUE if there was a valid "image-orientation" tag in the taglist.

`method` (GstVideo.VideoOrientationMethod ) –

TRUE if there was a valid "image-orientation" tag in the taglist.

Since : 1.20

#### GstVideo.video_orientation_from_tag

    def GstVideo.video_orientation_from_tag (taglist):
        #python wrapper for 'gst_video_orientation_from_tag'

Parses the "image-orientation" tag and transforms it into the GstVideo.VideoOrientationMethod enum.

Parameters:

`taglist` (Gst.TagList) –

A Gst.TagList

Returns a tuple made of:

(bool ) –

TRUE if there was a valid "image-orientation" tag in the taglist.

`method` (GstVideo.VideoOrientationMethod ) –

TRUE if there was a valid "image-orientation" tag in the taglist.

Since : 1.20

### Virtual Methods

#### get_hcenter

    gboolean
    get_hcenter (GstVideoOrientation * video_orientation,
                 gint* center)

virtual method to get horizontal centering state

Parameters:

`video_orientation` –
No description available
`center` –
No description available
Returns –
No description available

#### vfunc_get_hcenter

    function vfunc_get_hcenter(video_orientation: GstVideo.VideoOrientation): {
        // javascript implementation of the 'get_hcenter' virtual method
    }

virtual method to get horizontal centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(Number ) –
No description available
`center` (Number ) –
No description available

#### do_get_hcenter

    def do_get_hcenter (video_orientation):
        #python implementation of the 'get_hcenter' virtual method

virtual method to get horizontal centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(bool ) –
No description available
`center` (int ) –
No description available

#### get_hflip

    gboolean
    get_hflip (GstVideoOrientation * video_orientation,
               gboolean* flip)

virtual method to get horizontal flipping state

Parameters:

`video_orientation` –
No description available
`flip` –
No description available
Returns –
No description available

#### vfunc_get_hflip

    function vfunc_get_hflip(video_orientation: GstVideo.VideoOrientation): {
        // javascript implementation of the 'get_hflip' virtual method
    }

virtual method to get horizontal flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(Number ) –
No description available
`flip` (Number ) –
No description available

#### do_get_hflip

    def do_get_hflip (video_orientation):
        #python implementation of the 'get_hflip' virtual method

virtual method to get horizontal flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(bool ) –
No description available
`flip` (bool ) –
No description available

#### get_vcenter

    gboolean
    get_vcenter (GstVideoOrientation * video_orientation,
                 gint* center)

virtual method to get vertical centering state

Parameters:

`video_orientation` –
No description available
`center` –
No description available
Returns –
No description available

#### vfunc_get_vcenter

    function vfunc_get_vcenter(video_orientation: GstVideo.VideoOrientation): {
        // javascript implementation of the 'get_vcenter' virtual method
    }

virtual method to get vertical centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(Number ) –
No description available
`center` (Number ) –
No description available

#### do_get_vcenter

    def do_get_vcenter (video_orientation):
        #python implementation of the 'get_vcenter' virtual method

virtual method to get vertical centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(bool ) –
No description available
`center` (int ) –
No description available

#### get_vflip

    gboolean
    get_vflip (GstVideoOrientation * video_orientation,
               gboolean* flip)

virtual method to get vertical flipping state

Parameters:

`video_orientation` –
No description available
`flip` –
No description available
Returns –
No description available

#### vfunc_get_vflip

    function vfunc_get_vflip(video_orientation: GstVideo.VideoOrientation): {
        // javascript implementation of the 'get_vflip' virtual method
    }

virtual method to get vertical flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(Number ) –
No description available
`flip` (Number ) –
No description available

#### do_get_vflip

    def do_get_vflip (video_orientation):
        #python implementation of the 'get_vflip' virtual method

virtual method to get vertical flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available

Returns a tuple made of:

(bool ) –
No description available
`flip` (bool ) –
No description available

#### set_hcenter

    gboolean
    set_hcenter (GstVideoOrientation * video_orientation,
                 gint center)

virtual method to set horizontal centering state

Parameters:

`video_orientation` –
No description available
`center` –
No description available
Returns –
No description available

#### vfunc_set_hcenter

    function vfunc_set_hcenter(video_orientation: GstVideo.VideoOrientation, center: Number): {
        // javascript implementation of the 'set_hcenter' virtual method
    }

virtual method to set horizontal centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`center` (Number) –
No description available
Returns (Number) –
No description available

#### do_set_hcenter

    def do_set_hcenter (video_orientation, center):
        #python implementation of the 'set_hcenter' virtual method

virtual method to set horizontal centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`center` (int) –
No description available
Returns (bool) –
No description available

#### set_hflip

    gboolean
    set_hflip (GstVideoOrientation * video_orientation,
               gboolean flip)

virtual method to set horizontal flipping state

Parameters:

`video_orientation` –
No description available
`flip` –
No description available
Returns –
No description available

#### vfunc_set_hflip

    function vfunc_set_hflip(video_orientation: GstVideo.VideoOrientation, flip: Number): {
        // javascript implementation of the 'set_hflip' virtual method
    }

virtual method to set horizontal flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`flip` (Number) –
No description available
Returns (Number) –
No description available

#### do_set_hflip

    def do_set_hflip (video_orientation, flip):
        #python implementation of the 'set_hflip' virtual method

virtual method to set horizontal flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`flip` (bool) –
No description available
Returns (bool) –
No description available

#### set_vcenter

    gboolean
    set_vcenter (GstVideoOrientation * video_orientation,
                 gint center)

virtual method to set vertical centering state

Parameters:

`video_orientation` –
No description available
`center` –
No description available
Returns –
No description available

#### vfunc_set_vcenter

    function vfunc_set_vcenter(video_orientation: GstVideo.VideoOrientation, center: Number): {
        // javascript implementation of the 'set_vcenter' virtual method
    }

virtual method to set vertical centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`center` (Number) –
No description available
Returns (Number) –
No description available

#### do_set_vcenter

    def do_set_vcenter (video_orientation, center):
        #python implementation of the 'set_vcenter' virtual method

virtual method to set vertical centering state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`center` (int) –
No description available
Returns (bool) –
No description available

#### set_vflip

    gboolean
    set_vflip (GstVideoOrientation * video_orientation,
               gboolean flip)

virtual method to set vertical flipping state

Parameters:

`video_orientation` –
No description available
`flip` –
No description available
Returns –
No description available

#### vfunc_set_vflip

    function vfunc_set_vflip(video_orientation: GstVideo.VideoOrientation, flip: Number): {
        // javascript implementation of the 'set_vflip' virtual method
    }

virtual method to set vertical flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`flip` (Number) –
No description available
Returns (Number) –
No description available

#### do_set_vflip

    def do_set_vflip (video_orientation, flip):
        #python implementation of the 'set_vflip' virtual method

virtual method to set vertical flipping state

Parameters:

`video_orientation` (GstVideo.VideoOrientation) –
No description available
`flip` (bool) –
No description available
Returns (bool) –
No description available

## Function Macros

### GST_VIDEO_ORIENTATION_GET_INTERFACE

    #define GST_VIDEO_ORIENTATION_GET_INTERFACE(inst) \
      (G_TYPE_INSTANCE_GET_INTERFACE ((inst), GST_TYPE_VIDEO_ORIENTATION, GstVideoOrientationInterface))

## Constants

### GST_TYPE_VIDEO_ORIENTATION

    #define GST_TYPE_VIDEO_ORIENTATION \
      (gst_video_orientation_get_type ())

The results of the search are